=== debian/changelog ===
psi-notify (1.3.1-1) unstable; urgency=low

  * Update to 1.3.1
  * Patches now upstreamed
  * Allows running tests on systems with PSI disabled
  * manpage now included

 -- Michel Alexandre Salim <michel@michel-slm.name>  Fri, 12 Aug 2022 14:00:24 -0500

psi-notify (1.3.0-1) unstable; urgency=low

  * Update to 1.3.0
  * add `make install`
  * `README.md`: update link to desktop notifications spec
  * `README.md`: add links to Debian and Ubuntu packages and Repology

 -- Michel Alexandre Salim <michel@michel-slm.name>  Wed, 03 Aug 2022 14:40:01 -0500

psi-notify (1.2.1-3) unstable; urgency=low

  * Fix license (should be Expat not MIT)
  * Add copyright for Debian packaging files
  * Be more explicit: s/install/psi-notify.install
  * Narrow supported architectures to linux-any
  * Build with hardening=+all
  * Add upstream/metadata
  * Drop libnotify-bin runtime dependency
  * Fix rename rule in watch

 -- Michel Alexandre Salim <michel@michel-slm.name>  Thu, 12 May 2022 22:30:00 +0000

psi-notify (1.2.1-2) unstable; urgency=low

  * Add debian/watch file

 -- Michel Alexandre Salim <michel@michel-slm.name>  Tue, 10 May 2022 02:55:44 +0000

psi-notify (1.2.1-1) unstable; urgency=low

  * Initial release (Closes: #1010778)

 -- Michel Alexandre Salim <michel@michel-slm.name>  Mon, 09 May 2022 21:15:44 +0000
