=== debian/control ===
Source: psi-notify
Section: utils
Priority: optional
Maintainer: Michel Alexandre Salim <michel@michel-slm.name>
Build-Depends:
 debhelper-compat (= 13),
 libnotify-dev,
 libsystemd-dev,
 pkg-config,
Standards-Version: 4.6.0
Homepage: https://github.com/cdown/psi-notify
Vcs-Browser: https://salsa.debian.org/michel/psi-notify
Vcs-Git: https://salsa.debian.org/michel/psi-notify.git
Rules-Requires-Root: no

Package: psi-notify
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Alert when your machine is becoming oversaturated
 psi-notify is a minimal unprivileged notifier for system-wide resource pressure
 using PSI. This can help you to identify misbehaving applications on your
 machine before they start to severely impact system responsiveness, in a way
 which MemAvailable, CPU graphs, I/O utilisation graphs and other metrics
 cannot.
