=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/psi-notify-$1\.tar\.gz/ \
  https://github.com/cdown/psi-notify/tags .*/v?(\d\S+)\.tar\.gz
